-- Author      : Nogarder
-- Create Date : 2013/12/11 17:57:57

--register initialize function
--NPA.DataCollector.RegisterModule( datatype, initfunc, uninitfunc )
NPA.DataCollector.RegisterModule("Role",
	function()
		--global 
		local UnitGroupRolesAssigned=UnitGroupRolesAssigned
		local NPA_DataCollector_GetUnitDataByGUID=NPA.DataCollector.GetUnitDataByGUID
		local NPA_FrameToGUID_GetPlayerNameToGUID=NPA.FrameToGUID.GetPlayerNameToGUID
		--main --using local for speed
		local NPA_EventHandler_FireEvent=NPA.EventHandler.FireEvent
		-------on collector collect_unit event
		--unit,unitdata
		NPA.EventHandler.RegisterEvent(2,"DataCollector_CollectGroup","DataCollector_Role",function()
			for i=1,40 do
				local unit="raid"..i
				NPA_DataCollector_CollectWithTarget(unit)
				local role=UnitGroupRolesAssigned(unit)
				local unitdata=NPA_DataCollector_GetUnitDataByGUID(UnitGUID(unit))
				if(unitdata and unitdata.Role~=role)then
					unitdata.Role=role
					NPA_EventHandler_FireEvent(7,"Role_Updated",unitdata)
				end
			end
		end)
		NPA.EventHandler.RegisterEvent(0,"UPDATE_BATTLEFIELD_SCORE","DataCollector_Role",function()
			for i=1, GetNumBattlefieldScores() do
				--local name, killingBlows, honorKills, deaths, honorGained, faction, rank, race, class, classtoken, damageDone, healingDone = GetBattlefieldScore(i)
				local name, _, _, _, _, _, _, _, _, damageDone, healingDone = GetBattlefieldScore(i)
				local guid=NPA_FrameToGUID_GetPlayerNameToGUID[name]
				local unitdata=NPA_DataCollector_GetUnitDataByGUID[guid]
				if(unitdata)then
					local role
					if(healingDone/2>DamageDone)then
						role="Healer"
					else
						role="Damager"
					end
					if(role~=unitdata.Role)then
						unitdata.Role=role
						NPA_EventHandler_FireEvent(7,"Role_Updated",unitdata)
					end
				end
			end
		end)
	end,
	--------
	function()
		-------unregister all events
		NPA.EventHandler.RegisterEvent(2,"DataCollector_CollectGroup","DataCollector_Role",nil)
		NPA.EventHandler.RegisterEvent(0,"UPDATE_BATTLEFIELD_SCORE","DataCollector_Role",nil)
	end,
	--data transfer function,transfer frame-based unitdata to guid-based unitdata
	function(unitdata,frameunitdata)
		--do nothing
	end
	)

